# Class Bullet

java.lang.Object
org.eclipse.swt.custom.Bullet

public class Bullet extends Object
Instances of this class represent bullets in the `StyledText`.

The hashCode() method in this class uses the values of the public fields to compute the hash value. When storing instances of the class in hashed collections, do not modify these fields after the object has been inserted.

Application code does not need to explicitly release the resources managed by each instance when those instances are no longer required, and thus no `dispose()` method is provided.

Since:
  3.2
See Also:
  - `StyledText.setLineBullet(int, int, Bullet)`
  - Sample code and further information

## Field Summary

Fields
Modifier and Type
Field
Description
`StyleRange`
`style`
The bullet style.
`String`
`text`
The bullet text.
`int`
`type`
The bullet type.

## Constructor Summary

Constructors
Constructor
Description
`Bullet(int type, StyleRange style)`
Create a new bullet the specified style and type.
`Bullet(StyleRange style)`
Create a new bullet with the specified style, and type `ST.BULLET_DOT`.

## Method Summary

Modifier and Type
Method
Description
`int`
`hashCode()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### type

public int type
The bullet type. Possible values are:

- `ST.BULLET_DOT`
- `ST.BULLET_NUMBER`
- `ST.BULLET_LETTER_LOWER`
- `ST.BULLET_LETTER_UPPER`
- `ST.BULLET_TEXT`
- `ST.BULLET_CUSTOM`

### style

public StyleRange style
The bullet style.

### text

public String text
The bullet text.

## Constructor Details

### Bullet

public Bullet(StyleRange style)
Create a new bullet with the specified style, and type `ST.BULLET_DOT`. The style must have a glyph metrics set.

Parameters:
  `style` - the style
Throws:
  `IllegalArgumentException` -
  - ERROR_NULL_ARGUMENT when the style or the glyph metrics are null

### Bullet

public Bullet(int type, StyleRange style)
Create a new bullet the specified style and type. The style must have a glyph metrics set.

Parameters:
  `type` - the bullet type
  `style` - the style
Throws:
  `IllegalArgumentException` -
  - ERROR_NULL_ARGUMENT when the style or the glyph metrics are null

## Method Details

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`